org.bdgenomics.adam.models

# VariantContext

#### object VariantContext extends Serializable

Singleton object for building VariantContexts.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. VariantContext
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def apply(v: Variant, genotypes: Iterable[Genotype]): VariantContext

   Constructs an VariantContext from an Variant and Seq[Genotype] and DatabaseVariantAnnotation

   Constructs an VariantContext from an Variant and Seq[Genotype] and DatabaseVariantAnnotation

   v

     Variant which is used to construct the ReferencePosition

   genotypes

     Seq[Genotype]

   returns

     VariantContext corresponding to the Variant

7. #### def apply(v: Variant): VariantContext

   Constructs an VariantContext from an Variant

   Constructs an VariantContext from an Variant

   v

     Variant which is used to construct the ReferencePosition

   returns

     VariantContext corresponding to the Variant

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def buildFromGenotypes(genotypes: Seq[Genotype]): VariantContext

   Builds a variant context off of a set of genotypes.

   Builds a variant context off of a set of genotypes. Builds variants from the genotypes.

   genotypes

     List of genotypes to build variant context from.

   returns

     A variant context corresponding to the variants and genotypes at this site.

   Note

     Genotypes must be at the same position.

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped